Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1341963 (CVE-2016-5119) - CVE-2016-5119 keepass: MitM attack against update check
Summary: CVE-2016-5119 keepass: MitM attack against update check
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2016-5119
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1341965 1393897
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-02 07:27 UTC by Andrej Nemec
Modified: 2021-02-17 03:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:53:16 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-06-02 07:27:58 UTC
An attacker can abuse KeePass 2's recommended automatic update check – if enabled – to “release” a new version and redirect the user to a malicious download page.

External references:

https://bogner.sh/2016/03/mitm-attack-against-keepass-2s-update-check/

Comment 1 Andrej Nemec 2016-06-02 07:28:22 UTC
Created keepass tracking bugs for this issue:

Affects: fedora-all [bug 1341965]

Comment 2 Fedora Update System 2016-09-01 13:34:50 UTC
keepass-2.34-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Product Security DevOps Team 2019-06-08 02:53:16 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.